Bug 1419272 - Review Request: ck - Library for high performance concurrent programming
Summary: Review Request: ck - Library for high performance concurrent programming
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1419273
TreeView+ depends on / blocked
 
Reported: 2017-02-04 15:39 UTC by Honza Horak
Modified: 2017-02-12 20:14 UTC (History)
2 users (show)

Fixed In Version: ck-0.5.2-2.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-12 20:14:45 UTC
Type: ---
zbyszek: fedora-review+


Attachments (Terms of Use)

Description Honza Horak 2017-02-04 15:39:07 UTC
Spec URL: https://hhorak.fedorapeople.org/ck/ck.spec
SRPM URL: https://hhorak.fedorapeople.org/ck/ck-0.5.2-1.fc24.src.rpm

Description: Concurrency Kit provides a plethora of concurrency primitives, safe memory
reclamation mechanisms and lock-less and lock-free data structures designed to
aid in the design and implementation of high performance concurrent systems. It
is designed to minimize dependencies on operating system-specific interfaces
and most of the interface relies only on a strict subset of the standard
library and more popular compiler extensions.

Fedora Account System Username: hhorak

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=17593483

Comment 1 Zbigniew Jędrzejewski-Szmek 2017-02-04 16:37:22 UTC
Not crazy about the super short name, but since it's what upstream uses, then OK.

Group: Development/Libraries
→ unnecessary, https://fedoraproject.org/wiki/Packaging:Guidelines#Tags_and_Sections.

make DESTDIR=%{buildroot} install → %make_install
make %{?_smp_mflags} → %make_build

Summary is useless. It should say if this is a library and give a hint what it does, especially that the name does not convey this.

+ package name is OK
+ license is acceptable (BSD)
+ license is specified correctly
+ R/BR/P look correct
+ -devel package requires matching main package
+ builds and installs fine in mock
+ fedora-review finds no issues
+ scriptlets are correct

rpmlint:
ck.x86_64: E: non-standard-executable-perm /usr/lib64/libck.so.0.5.2 744
→ This should 0755. Doesn't cause any issues afaics.

Package is APPROVED. Please fix the file access mode and Summary, and consider the other changes suggested above.

Comment 2 Honza Horak 2017-02-11 07:40:33 UTC
Thanks for the quick review and suggestions. All should be fixed now:

Spec URL: https://hhorak.fedorapeople.org/ck/ck.spec
SRPM URL: https://hhorak.fedorapeople.org/ck/ck-0.5.2-2.fc24.src.rpm

Comment 3 Gwyn Ciesla 2017-02-11 17:41:54 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/ck


Note You need to log in before you can comment on or make changes to this bug.